diff -crN gimp-1.0.0.orig/plug-ins/jpeg/Imakefile gimp-1.0.0/plug-ins/jpeg/Imakefile
*** gimp-1.0.0.orig/plug-ins/jpeg/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/jpeg/Imakefile	Sat Jul 11 15:58:22 1998
***************
*** 0 ****
--- 1,11 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ ADD_LIBS = -ljpeg
+ 
+ SimpleProgramTarget(jpeg)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/laplace/Imakefile gimp-1.0.0/plug-ins/laplace/Imakefile
*** gimp-1.0.0.orig/plug-ins/laplace/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/laplace/Imakefile	Thu Jul  9 20:46:52 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(laplace)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/libgck/gck/gckos2.def gimp-1.0.0/plug-ins/libgck/gck/gckos2.def
*** gimp-1.0.0.orig/plug-ins/libgck/gck/gckos2.def	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/libgck/gck/gckos2.def	Sun Jul 26 01:17:58 1998
***************
*** 0 ****
--- 1,169 ----
+ LIBRARY gck
+ DESCRIPTION "GIMP/2 gck.dll for XFree86/OS2 version 1.0.0"
+ CODE PRELOAD
+ DATA MULTIPLE NONSHARED
+ STACKSIZE 32768
+ EXPORTS
+ 
+ ; From gckcolor.obj
+   "gck_rgb_white" @1
+   "gck_rgb_black" @2
+   "gck_rgb_zero" @3
+   "gck_rgb_full" @4
+   "gck_allocate_color_cube" @5
+   "gck_create_8bit_rgb" @6
+   "gck_visualinfo_new" @7
+   "gck_visualinfo_destroy" @8
+   "gck_visualinfo_get_dither" @9
+   "gck_visualinfo_set_dither" @10
+   "gck_gc_set_foreground" @11
+   "gck_rgb_to_gdkcolor" @12
+   "gck_gc_set_background" @13
+   "gck_rgb_to_color8" @14
+   "gck_rgb_to_image8_fs_dither" @15
+   "gck_rgb_to_image8" @16
+   "gck_rgb_to_color16" @17
+   "gck_rgb_to_image16_fs_dither" @18
+   "gck_rgb_to_image16" @19
+   "gck_rgb_to_color24" @20
+   "gck_rgb_to_image24" @21
+   "gck_rgb_to_color32" @22
+   "gck_rgb_to_image32" @23
+   "gck_rgb_to_gdkimage" @24
+   "gck_bilinear" @25
+   "gck_bilinear_8" @26
+   "gck_bilinear_16" @27
+   "gck_bilinear_32" @28
+   "gck_bilinear_rgb" @29
+   "gck_bilinear_rgba" @30
+   "gck_rgb_add" @31
+   "gck_rgb_sub" @32
+   "gck_rgb_mul" @33
+   "gck_rgb_dist" @34
+   "gck_rgb_max" @35
+   "gck_rgb_min" @36
+   "gck_rgb_clamp" @37
+   "gck_rgb_set" @38
+   "gck_rgb_gamma" @39
+   "gck_rgba_add" @40
+   "gck_rgba_sub" @41
+   "gck_rgba_mul" @42
+   "gck_rgba_dist" @43
+   "gck_rgba_max" @44
+   "gck_rgba_min" @45
+   "gck_rgba_clamp" @46
+   "gck_rgba_set" @47
+   "gck_rgba_gamma" @48
+   "gck_rgb_to_hsv" @49
+   "gck_hsv_to_rgb" @50
+   "gck_rgb_to_hsl" @51
+   "_gck_value" @52
+   "gck_hsl_to_rgb" @53
+   "gck_rgb_to_hwb" @54
+   "gck_hwb_to_rgb" @55
+   "gck_render_sub_pixel" @56
+   "gck_adaptive_supersample_area" @57
+   "gck_named_colors" @58
+ 
+ ; From gcklistbox.obj
+   "gck_listbox_disable_signals" @59
+   "gck_listbox_enable_signals" @60
+   "gck_listbox_get" @61
+   "gck_listbox_prepend_item" @62
+   "gck_listbox_insert_item" @63
+   "gck_listbox_prepend_items" @64
+   "gck_listbox_append_item" @65
+   "gck_listbox_append_items" @66
+   "gck_listbox_insert_items" @67
+   "gck_listbox_get_current_selection" @68
+   "gck_listbox_set_current_selection" @69
+   "gck_listbox_item_find_by_position" @70
+   "gck_listbox_item_find_by_label" @71
+   "gck_listbox_item_find_by_user_data" @72
+   "gck_listbox_delete_item_by_position" @73
+   "gck_listbox_unselect_all" @74
+   "gck_listbox_delete_item_by_label" @75
+   "gck_listbox_delete_items_by_label" @76
+   "gck_listbox_delete_item_by_user_data" @77
+   "gck_listbox_delete_items_by_user_data" @78
+   "gck_listbox_clear_items" @79
+   "gck_listbox_select_item_by_position" @80
+   "gck_listbox_select_item_by_label" @81
+   "gck_listbox_select_item_by_user_data" @82
+   "gck_listbox_unselect_item_by_position" @83
+   "gck_listbox_unselect_item_by_label" @84
+   "gck_listbox_unselect_item_by_user_data" @85
+   "gck_listbox_select_all" @86
+   "_gck_listbox_signalhandler" @87
+   "_gck_listbox_eventhandler" @88
+   "gck_listbox_new" @89
+   "gck_listbox_destroy" @90
+ 
+ ; From gckmath.obj
+   "gck_deg_to_rad" @91
+   "gck_rad_to_deg" @92
+   "gck_mat_to_deg" @93
+   "gck_clip_line" @94
+ 
+ ; From gckui.obj
+   "gck_cursor_set" @95
+   "gck_auto_show" @96
+   "gck_application_window_new" @97
+   "gck_application_window_destroy" @98
+   "gck_dialog_window_new" @99
+   "gck_vbox_new" @100
+   "gck_hbox_new" @101
+   "gck_frame_new" @102
+   "gck_pushbutton_new" @103
+   "gck_dialog_window_destroy" @104
+   "gck_vseparator_new" @105
+   "gck_hseparator_new" @106
+   "gck_label_new" @107
+   "gck_label_aligned_new" @108
+   "gck_drawing_area_new" @109
+   "gck_pixmap_new" @110
+   "gck_hscale_new" @111
+   "gck_vscale_new" @112
+   "gck_entryfield_text_new" @113
+   "gck_entryfield_new" @114
+   "gck_pushbutton_pixmap_new" @115
+   "gck_togglebutton_pixmap_new" @116
+   "gck_checkbutton_new" @117
+   "gck_radiobutton_new" @118
+   "gck_radiobutton_pixmap_new" @119
+   "gck_option_menu_new" @120
+   "gck_menu_bar_new" @121
+   "gck_menu_new" @122
+   "gck_image_menu_new" @123
+   "_GckAutoShowFlag" @124
+ 
+ ; From gckvector.obj
+   "gck_vector2_zero" @125
+   "gck_vector2_unit_x" @126
+   "gck_vector2_unit_y" @127
+   "gck_vector3_zero" @128
+   "gck_vector3_unit_x" @129
+   "gck_vector3_unit_y" @130
+   "gck_vector3_unit_z" @131
+   "gck_vector2_inner_product" @132
+   "gck_vector2_cross_product" @133
+   "gck_vector2_length" @134
+   "gck_vector2_normalize" @135
+   "gck_vector2_mul" @136
+   "gck_vector2_sub" @137
+   "gck_vector2_set" @138
+   "gck_vector2_add" @139
+   "gck_vector2_neg" @140
+   "gck_vector2_rotate" @141
+   "gck_vector3_inner_product" @142
+   "gck_vector3_cross_product" @143
+   "gck_vector3_length" @144
+   "gck_vector3_normalize" @145
+   "gck_vector3_mul" @146
+   "gck_vector3_sub" @147
+   "gck_vector3_set" @148
+   "gck_vector3_add" @149
+   "gck_vector3_neg" @150
+   "gck_vector3_rotate" @151
+   "gck_2d_to_3d" @152
+   "gck_3d_to_2d" @153
diff -crN gimp-1.0.0.orig/plug-ins/libgck/gck/gckos2.rsp gimp-1.0.0/plug-ins/libgck/gck/gckos2.rsp
*** gimp-1.0.0.orig/plug-ins/libgck/gck/gckos2.rsp	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/libgck/gck/gckos2.rsp	Thu Jul  9 17:48:06 1998
***************
*** 0 ****
--- 1,4 ----
+ gckcolor.obj gcklistbox.obj gckmath.obj gckui.obj gckvector.obj+
+ /NOL /NOD /BAT
+ gck.dll
+ 
diff -crN gimp-1.0.0.orig/plug-ins/libgck/gck/Imakefile gimp-1.0.0/plug-ins/libgck/gck/Imakefile
*** gimp-1.0.0.orig/plug-ins/libgck/gck/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/libgck/gck/Imakefile	Thu Aug 13 14:56:12 1998
***************
*** 0 ****
--- 1,40 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #define DoNormalLib (!HasSharedLibraries || ForceNormalLib)
+ #define DoSharedLib HasSharedLibraries
+ #define LibName gck
+ #define IncSubdir gck
+ 
+ #ifdef OS2Architecture
+ REQUIREDLIBS = $(X11ROOT)\\XFree86\\lib\\ gtk gdk glib Xext X11 shm
+ #endif
+ 
+ DEFINES = -DHAVE_CONFIG_H
+ 
+ INCLUDES = -I../../.. -I.. -I.
+ 
+ HEADERS =    gck.h           \
+              gckcolor.h      \
+              gckcommon.h     \
+              gckimage.h      \
+              gcklistbox.h    \
+              gckmath.h       \
+              gcktypes.h      \
+              gckui.h         \
+              gckvector.h
+ 
+ OBJS =	gckcolor.o      \
+         gcklistbox.o    \
+         gckmath.o       \
+         gckui.o         \
+         gckvector.o
+ 
+ #include <Library.tmpl>
+ 
+ #ifdef OS2Architecture
+ clean::
+ 	rm -rf exports
+ #endif
diff -crN gimp-1.0.0.orig/plug-ins/libgck/Imakefile gimp-1.0.0/plug-ins/libgck/Imakefile
*** gimp-1.0.0.orig/plug-ins/libgck/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/libgck/Imakefile	Thu Jul  9 17:39:04 1998
***************
*** 0 ****
--- 1,13 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #define IHaveSubdirs
+ #define PassCDebugFlags
+ 
+ SUBDIRS = gck
+ 
+ MakeSubdirs($(SUBDIRS))
+ DependSubdirs($(SUBDIRS))
+ 
diff -crN gimp-1.0.0.orig/plug-ins/mail/Imakefile gimp-1.0.0/plug-ins/mail/Imakefile
*** gimp-1.0.0.orig/plug-ins/mail/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/mail/Imakefile	Sat Jul 11 15:49:48 1998
***************
*** 0 ****
--- 1,11 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ ADD_DEFS = -DMAILER=\""sendmail"\"
+ 
+ SimpleProgramTarget(mail)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/mail/mail.c gimp-1.0.0/plug-ins/mail/mail.c
*** gimp-1.0.0.orig/plug-ins/mail/mail.c	Sun May 31 14:49:12 1998
--- gimp-1.0.0/plug-ins/mail/mail.c	Sat Sep 12 22:35:40 1998
***************
*** 109,114 ****
--- 109,118 ----
  #include <errno.h>
  #include "gtk/gtk.h"
  #include "libgimp/gimp.h"
+ #ifdef __EMX__
+ #include <fcntl.h>
+ #include <process.h>
+ #endif
  
  
  static void query (void);
***************
*** 307,313 ****
--- 311,321 ----
    strcat (mailcmdline, mail_info.receipt);
  
    /* create a pipe to sendmail */
+ #ifndef __EMX__
    mailpipe = popen (mailcmdline, "w");
+ #else
+   mailpipe = popen (mailcmdline, "wb");
+ #endif
    create_headers (mailpipe);
    
    /* This is necessary to make the comments and headers work correctly. Not real sure why */
***************
*** 332,337 ****
--- 340,346 ----
      }
  
    if( mail_info.encapsulation == ENCAPSULATION_UUENCODE ) {
+ #ifndef __EMX__
        /* fork off a uuencode process */
        if ((pid = fork ()) < 0)
  	  {
***************
*** 355,360 ****
--- 364,401 ----
  	      _exit (127);
  	  }
        else
+ #else /* __EMX__ */
+       int tfd, flag;
+       /* save fileno(stdout) */
+       tfd = dup (fileno (stdout));
+       if (tfd == -1)
+ 	{
+ 	  g_message ("mail: dup failed: %s\n", g_strerror (errno));
+ 	  return -1;
+ 	}
+       if (dup2 (fileno (mailpipe), fileno (stdout)) == -1)
+ 	{
+ 	  g_message ("mail: dup2 failed: %s\n", g_strerror (errno));
+ 	  close(tfd);
+ 	  return -1;
+ 	}
+       flag = fcntl(tfd, F_GETFD);
+       fcntl(tfd, F_SETFD, flag | FD_CLOEXEC);
+       pid = spawnlp (P_NOWAIT, UUENCODE, UUENCODE, tmpname, filename, NULL);
+       /* restore fileno(stdout) */
+       if (dup2 (tfd, fileno (stdout)) == -1)
+ 	{
+ 	  g_message ("mail: dup2 failed: %s\n", g_strerror (errno));
+ 	  close(tfd);
+ 	  return -1;
+ 	}
+       close(tfd);
+       if (pid == -1)
+ 	{
+ 	  g_message ("mail: spawn failed: %s\n", g_strerror (errno));
+ 	  return -1;
+ 	}
+ #endif
  	  {
  	      waitpid (pid, &status, 0);
  	      
diff -crN gimp-1.0.0.orig/plug-ins/MapObject/Imakefile gimp-1.0.0/plug-ins/MapObject/Imakefile
*** gimp-1.0.0.orig/plug-ins/MapObject/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/MapObject/Imakefile	Tue Jul 28 14:12:08 1998
***************
*** 0 ****
--- 1,30 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ ADD_INCS = -I../libgck
+ ADD_LIBS = -L../libgck/gck -lgck
+ 
+ SRCS = \
+ 	arcball.c \
+ 	mapobject_apply.c \
+ 	mapobject_image.c \
+ 	mapobject_main.c \
+ 	mapobject_preview.c \
+ 	mapobject_shade.c \
+ 	mapobject_ui.c
+ 
+ OBJS = \
+ 	arcball.o \
+ 	mapobject_apply.o \
+ 	mapobject_image.o \
+ 	mapobject_main.o \
+ 	mapobject_preview.o \
+ 	mapobject_shade.o \
+ 	mapobject_ui.o
+ 
+ ComplexProgramTarget(MapObject)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/max_rgb/Imakefile gimp-1.0.0/plug-ins/max_rgb/Imakefile
*** gimp-1.0.0.orig/plug-ins/max_rgb/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/max_rgb/Imakefile	Thu Jul  9 20:50:22 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(max_rgb)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/maze/Imakefile gimp-1.0.0/plug-ins/maze/Imakefile
*** gimp-1.0.0.orig/plug-ins/maze/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/maze/Imakefile	Thu Jul  9 20:52:18 1998
***************
*** 0 ****
--- 1,12 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SRCS = maze.c maze_face.c algorithms.c handy.c
+ OBJS = maze.o maze_face.o algorithms.o handy.o
+ 
+ ComplexProgramTarget(maze)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/mblur/Imakefile gimp-1.0.0/plug-ins/mblur/Imakefile
*** gimp-1.0.0.orig/plug-ins/mblur/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/mblur/Imakefile	Thu Jul  9 20:53:08 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(mblur)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/megawidget/Imakefile gimp-1.0.0/plug-ins/megawidget/Imakefile
*** gimp-1.0.0.orig/plug-ins/megawidget/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/megawidget/Imakefile	Thu Aug 13 14:55:16 1998
***************
*** 0 ****
--- 1,33 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #define DoNormalLib (!HasSharedLibraries || ForceNormalLib)
+ #define DoSharedLib HasSharedLibraries
+ #define LibName megawidget
+ #define IncSubdir plug-ins/megawidget
+ 
+ #ifdef OS2Architecture
+ REQUIREDLIBS = ..\\..\\libgimp\\ gimp $(X11ROOT)\\XFree86\\lib\\ gtk gdk glib Xext X11 shm
+ #endif
+ 
+ DEFINES = -DHAVE_CONFIG_H
+ 
+ INCLUDES = -I../.. -I.
+ 
+ HEADERS = megawidget.h
+ 
+ OBJS =	megawidget.o
+ 
+ #include <Library.tmpl>
+ 
+ #ifdef OS2Architecture
+ /* os2 does not allow dll filename length > 8.3 */
+ install::
+ 	mv $(X11ROOT)/XFree86/lib/megawidget.dll $(X11ROOT)/XFree86/lib/megawidg.dll
+ 
+ clean::
+ 	rm -rf exports
+ #endif
+ 
diff -crN gimp-1.0.0.orig/plug-ins/megawidget/megawidgetos2.def gimp-1.0.0/plug-ins/megawidget/megawidgetos2.def
*** gimp-1.0.0.orig/plug-ins/megawidget/megawidgetos2.def	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/megawidget/megawidgetos2.def	Sun Jul 26 01:02:38 1998
***************
*** 0 ****
--- 1,21 ----
+ LIBRARY megawidg
+ DESCRIPTION "GIMP/2 megawidg.dll for XFree86/OS2 version 1.0.0"
+ CODE PRELOAD
+ DATA MULTIPLE NONSHARED
+ STACKSIZE 32768
+ EXPORTS
+ ; From megawidget.obj
+   "mw_app_new" @1
+   "mw_fscale_entry_new" @2
+   "mw_iscale_entry_new" @3
+   "mw_radio_group_new" @4
+   "mw_radio_new" @5
+   "mw_radio_result" @6
+   "mw_value_radio_group_new" @7
+   "mw_toggle_button_new" @8
+   "mw_color_select_button_create" @9
+   "mw_ientry_new" @10
+   "mw_fentry_new" @11
+   "mw_preview_build_virgin" @12
+   "mw_preview_build" @13
+   "mw_preview_new" @14
diff -crN gimp-1.0.0.orig/plug-ins/megawidget/megawidgetos2.rsp gimp-1.0.0/plug-ins/megawidget/megawidgetos2.rsp
*** gimp-1.0.0.orig/plug-ins/megawidget/megawidgetos2.rsp	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/megawidget/megawidgetos2.rsp	Thu Jul  9 17:57:06 1998
***************
*** 0 ****
--- 1,3 ----
+ megawidget.obj /NOL /NOD /BAT
+ megawidget.dll
+ 
diff -crN gimp-1.0.0.orig/plug-ins/mosaic/Imakefile gimp-1.0.0/plug-ins/mosaic/Imakefile
*** gimp-1.0.0.orig/plug-ins/mosaic/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/mosaic/Imakefile	Thu Jul  9 20:54:36 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(mosaic)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/mpeg/Imakefile gimp-1.0.0/plug-ins/mpeg/Imakefile
*** gimp-1.0.0.orig/plug-ins/mpeg/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/mpeg/Imakefile	Sat Jul 11 16:00:32 1998
***************
*** 0 ****
--- 1,11 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ ADD_LIBS = -lmpeg
+ 
+ SimpleProgramTarget(mpeg)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/nlfilt/Imakefile gimp-1.0.0/plug-ins/nlfilt/Imakefile
*** gimp-1.0.0.orig/plug-ins/nlfilt/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/nlfilt/Imakefile	Sat Jul 11 16:01:16 1998
***************
*** 0 ****
--- 1,11 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ ADD_LIBS = -L../megawidget -lmegawidget
+ 
+ SimpleProgramTarget(nlfilt)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/noisify/Imakefile gimp-1.0.0/plug-ins/noisify/Imakefile
*** gimp-1.0.0.orig/plug-ins/noisify/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/noisify/Imakefile	Thu Jul  9 20:57:06 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(noisify)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/normalize/Imakefile gimp-1.0.0/plug-ins/normalize/Imakefile
*** gimp-1.0.0.orig/plug-ins/normalize/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/normalize/Imakefile	Thu Jul  9 20:57:38 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(normalize)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/nova/Imakefile gimp-1.0.0/plug-ins/nova/Imakefile
*** gimp-1.0.0.orig/plug-ins/nova/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/nova/Imakefile	Thu Jul  9 20:59:32 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(nova)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/oilify/Imakefile gimp-1.0.0/plug-ins/oilify/Imakefile
*** gimp-1.0.0.orig/plug-ins/oilify/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/oilify/Imakefile	Thu Jul  9 21:00:10 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(oilify)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/pagecurl/Imakefile gimp-1.0.0/plug-ins/pagecurl/Imakefile
*** gimp-1.0.0.orig/plug-ins/pagecurl/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/pagecurl/Imakefile	Thu Jul  9 21:00:46 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(pagecurl)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/palette/Imakefile gimp-1.0.0/plug-ins/palette/Imakefile
*** gimp-1.0.0.orig/plug-ins/palette/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/palette/Imakefile	Thu Jul  9 21:01:20 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(palette)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/papertile/Imakefile gimp-1.0.0/plug-ins/papertile/Imakefile
*** gimp-1.0.0.orig/plug-ins/papertile/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/papertile/Imakefile	Thu Jul  9 21:01:56 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(papertile)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/pat/Imakefile gimp-1.0.0/plug-ins/pat/Imakefile
*** gimp-1.0.0.orig/plug-ins/pat/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/pat/Imakefile	Thu Jul  9 21:02:30 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(pat)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/pcx/Imakefile gimp-1.0.0/plug-ins/pcx/Imakefile
*** gimp-1.0.0.orig/plug-ins/pcx/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/pcx/Imakefile	Thu Jul  9 21:03:04 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(pcx)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/pix/Imakefile gimp-1.0.0/plug-ins/pix/Imakefile
*** gimp-1.0.0.orig/plug-ins/pix/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/pix/Imakefile	Thu Jul  9 21:03:46 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(pix)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/pixelize/Imakefile gimp-1.0.0/plug-ins/pixelize/Imakefile
*** gimp-1.0.0.orig/plug-ins/pixelize/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/pixelize/Imakefile	Thu Jul  9 21:04:16 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(pixelize)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/plasma/Imakefile gimp-1.0.0/plug-ins/plasma/Imakefile
*** gimp-1.0.0.orig/plug-ins/plasma/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/plasma/Imakefile	Thu Jul  9 21:04:50 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(plasma)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/plug-ins.def gimp-1.0.0/plug-ins/plug-ins.def
*** gimp-1.0.0.orig/plug-ins/plug-ins.def	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/plug-ins.def	Wed Aug  5 00:05:48 1998
***************
*** 0 ****
--- 1,2 ----
+ NAME WINDOWCOMPAT
+ STACKSIZE 524288
diff -crN gimp-1.0.0.orig/plug-ins/plug-ins.tmpl gimp-1.0.0/plug-ins/plug-ins.tmpl
*** gimp-1.0.0.orig/plug-ins/plug-ins.tmpl	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/plug-ins.tmpl	Thu Jul 30 00:30:22 1998
***************
*** 0 ****
--- 1,24 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../gimp.cf"
+ 
+ INCLUDES = -I../.. -I. $(ADD_INCS)
+ 
+ #if BuildOMFEXE
+ DEFINES = -DHAVE_CONFIG_H -Zomf $(ADD_DEFS)
+ LOCAL_LDFLAGS = -Zomf ../plug-ins.def
+ #else
+ DEFINES = -DHAVE_CONFIG_H $(ADD_DEFS)
+ #endif
+ 
+ #ifdef OS2Architecture
+ LOCAL_LIBRARIES = $(ADD_LIBS) -L../../libgimp -lgimp -lgtk -lgdk -lglib -lXext -lX11 -lshm -lm
+ #else
+ LOCAL_LIBRARIES = $(ADD_LIBS) -L../../libgimp -lgimp -lgtk -lgdk -lglib -lXext -lX11 -lm
+ #endif
+ 
+ BINDIR = $(GIMPPLUGINSDIR)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/png/Imakefile gimp-1.0.0/plug-ins/png/Imakefile
*** gimp-1.0.0.orig/plug-ins/png/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/png/Imakefile	Sat Jul 11 16:02:06 1998
***************
*** 0 ****
--- 1,11 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ ADD_LIBS = -lpng
+ 
+ SimpleProgramTarget(png)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/png/png.c gimp-1.0.0/plug-ins/png/png.c
*** gimp-1.0.0.orig/plug-ins/png/png.c	Sun May 31 14:49:16 1998
--- gimp-1.0.0/plug-ins/png/png.c	Sat Jul 11 10:45:02 1998
***************
*** 205,216 ****
--- 205,220 ----
   * 'main()' - Main entry - just call gimp_main()...
   */
  
+ #if 0
  int
  main(int  argc,		/* I - Number of command-line args */
       char *argv[])	/* I - Command-line args */
  {
    return (gimp_main(argc, argv));
  }
+ #else
+ MAIN()
+ #endif
  
  
  /*
diff -crN gimp-1.0.0.orig/plug-ins/pnm/Imakefile gimp-1.0.0/plug-ins/pnm/Imakefile
*** gimp-1.0.0.orig/plug-ins/pnm/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/pnm/Imakefile	Thu Jul  9 21:05:22 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(pnm)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/polar/Imakefile gimp-1.0.0/plug-ins/polar/Imakefile
*** gimp-1.0.0.orig/plug-ins/polar/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/polar/Imakefile	Thu Jul  9 21:06:30 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(polar)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/print/Imakefile gimp-1.0.0/plug-ins/print/Imakefile
*** gimp-1.0.0.orig/plug-ins/print/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/print/Imakefile	Sat Jul 11 15:50:50 1998
***************
*** 0 ****
--- 1,14 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ ADD_DEFS = -Dstrcasecmp=stricmp -Dstrncasecmp=strnicmp
+ 
+ SRCS = print-escp2.c print-pcl.c print-ps.c print-util.c print.c
+ OBJS = print-escp2.o print-pcl.o print-ps.o print-util.o print.o
+ 
+ ComplexProgramTarget(print)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/print/print-ps.c gimp-1.0.0/plug-ins/print/print-ps.c
*** gimp-1.0.0.orig/plug-ins/print/print-ps.c	Sun May 17 15:16:46 1998
--- gimp-1.0.0/plug-ins/print/print-ps.c	Sun Sep 13 23:34:20 1998
***************
*** 512,517 ****
--- 512,520 ----
    printf("left = %d, top = %d\n", left, top);
  #endif /* DEBUG */
  
+ #ifdef __EMX__
+   _fsetmode(prn, "t");
+ #endif
    fputs("%!PS-Adobe-3.0\n", prn);
    fputs("%%Creator: " PLUG_IN_NAME " plug-in V" PLUG_IN_VERSION " for GIMP.\n", prn);
    fprintf(prn, "%%%%CreationDate: %s", ctime(&curtime));
diff -crN gimp-1.0.0.orig/plug-ins/print/print.c gimp-1.0.0/plug-ins/print/print.c
*** gimp-1.0.0.orig/plug-ins/print/print.c	Sun May 17 15:16:50 1998
--- gimp-1.0.0/plug-ins/print/print.c	Sun Sep 13 23:33:58 1998
***************
*** 134,139 ****
--- 134,144 ----
  #include "print.h"
  #include <math.h>
  #include <signal.h>
+ #ifdef __EMX__
+ #define INCL_DOSDEVICES
+ #define INCL_DOSERRORS
+ #include <os2.h>
+ #endif
  
  
  /*
***************
*** 369,380 ****
--- 374,389 ----
   * 'main()' - Main entry - just call gimp_main()...
   */
  
+ #if 0
  int
  main(int  argc,		/* I - Number of command-line args */
       char *argv[])	/* I - Command-line args */
  {
    return (gimp_main(argc, argv));
  }
+ #else
+ MAIN()
+ #endif
  
  
  /*
***************
*** 423,428 ****
--- 432,451 ----
  }
  
  
+ #ifdef __EMX__
+ static char *
+ get_tmp_filename()
+ {
+   char *tmp_path, filename[80];
+ 
+   tmp_path = getenv("TMP");
+   if (tmp_path == NULL)
+     tmp_path = "";
+ 
+   sprintf(filename, "gimp_print_tmp.%d", getpid());
+   return g_strconcat(tmp_path, "\\", filename, NULL);
+ }
+ #endif
  /*
   * 'run()' - Run the plug-in...
   */
***************
*** 447,452 ****
--- 470,478 ----
    guchar	*cmap;		/* Colormap (indexed images only) */
    int		ncolors;	/* Number of colors in colormap */
    GParam	*values;	/* Return values */
+ #ifdef __EMX__
+   char		*tmpfile;	/* temp filename */
+ #endif
  
  
   /*
***************
*** 585,591 ****
--- 611,622 ----
      */
  
      if (plist_current > 0)
+ #ifndef __EMX__
        prn = popen(vars.output_to, "w");
+ #else
+       /* OS/2 PRINT command doesn't support print from stdin, use temp file */
+       prn = (tmpfile = get_tmp_filename()) ? fopen(tmpfile, "w") : NULL;
+ #endif
      else
        prn = fopen(vars.output_to, "w");
  
***************
*** 637,643 ****
--- 668,687 ----
                          vars.left, vars.top, 1, prn, drawable, lut, cmap);
  
        if (plist_current > 0)
+ #ifndef __EMX__
          pclose(prn);
+ #else
+ 	{ /* PRINT temp file */
+ 	  char *s;
+           fclose(prn);
+ 	  s = g_strconcat(vars.output_to, tmpfile, NULL);
+ 	  if (system(s) != 0)
+ 	    values[0].data.d_status = STATUS_EXECUTION_ERROR;
+ 	  g_free(s);
+ 	  remove(tmpfile);
+ 	  g_free(tmpfile);
+ 	}
+ #endif
        else
          fclose(prn);
      }
***************
*** 1956,1962 ****
--- 2000,2010 ----
    else
      sprintf(line, "%s/.gimp/printrc", getenv("HOME"));
  
+ #ifndef __EMX__
    if ((fp = fopen(line, "r")) != NULL)
+ #else
+   if ((fp = fopen(line, "rt")) != NULL)
+ #endif
    {
     /*
      * File exists - read the contents and update the printer list...
***************
*** 2076,2082 ****
--- 2124,2134 ----
    else
      sprintf(filename, "%s/.gimp/printrc", getenv("HOME"));
  
+ #ifndef __EMX__
    if ((fp = fopen(filename, "w")) != NULL)
+ #else
+   if ((fp = fopen(filename, "wt")) != NULL)
+ #endif
    {
     /*
      * Write the contents of the printer list...
***************
*** 2119,2124 ****
--- 2171,2179 ----
  	line[129],
  	name[17],
  	defname[17];
+ #ifdef __EMX__
+   BYTE  pnum;
+ #endif
  
  
    defname[0] = '\0';
***************
*** 2170,2175 ****
--- 2225,2244 ----
      pclose(pfile);
    };
  #endif /* LPSTAT_COMMAND */
+ 
+ #ifdef __EMX__
+   if (DosDevConfig(&pnum, DEVINFO_PRINTER) == NO_ERROR)
+     {
+       for (i = 1; i <= pnum; i++)
+ 	{
+ 	  sprintf(plist[plist_count].name, "LPT%d:", i);
+ 	  sprintf(plist[plist_count].command, "PRINT /D:LPT%d /B ", i);
+           strcpy(plist[plist_count].driver, "ps2");
+           plist[plist_count].output_type = OUTPUT_COLOR;
+           plist_count ++;
+ 	}
+     }
+ #endif
  
    if (plist_count > 2)
      qsort(plist + 1, plist_count - 1, sizeof(plist_t),
diff -crN gimp-1.0.0.orig/plug-ins/ps/Imakefile gimp-1.0.0/plug-ins/ps/Imakefile
*** gimp-1.0.0.orig/plug-ins/ps/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/ps/Imakefile	Thu Jul  9 21:24:46 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(ps)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/ps/ps.c gimp-1.0.0/plug-ins/ps/ps.c
*** gimp-1.0.0.orig/plug-ins/ps/ps.c	Sat May 30 15:32:32 1998
--- gimp-1.0.0/plug-ins/ps/ps.c	Sun Sep 13 08:06:18 1998
***************
*** 971,977 ****
--- 971,981 ----
   /* ghostscript with a real outputfile. When ghostscript has finished,  */
   /* open the outputfile and return its filepointer. But be sure         */
   /* to close and remove the file within ps_close().                     */
+ #ifndef __EMX__
   fd_popen = popen (cmd, "r");
+ #else
+  fd_popen = popen (cmd, "rt");
+ #endif
   g_free (cmd);
  
   return (fd_popen);
***************
*** 1008,1013 ****
--- 1012,1020 ----
   for (;;)
   {
     if (thrd == EOF) return (-1);
+ #ifdef __EMX__
+    if (thrd == '\r') thrd = getc (ifp);
+ #endif
     if ((thrd == '\n') && (frst == 'P') && (scnd >= '1') && (scnd <= '6'))
       break;
     frst = scnd;
diff -crN gimp-1.0.0.orig/plug-ins/psd/Imakefile gimp-1.0.0/plug-ins/psd/Imakefile
*** gimp-1.0.0.orig/plug-ins/psd/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/psd/Imakefile	Thu Jul  9 21:25:30 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(psd)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/randomize/Imakefile gimp-1.0.0/plug-ins/randomize/Imakefile
*** gimp-1.0.0.orig/plug-ins/randomize/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/randomize/Imakefile	Sat Jul 11 16:03:02 1998
***************
*** 0 ****
--- 1,11 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ ADD_LIBS = -L../gpc -lgpc
+ 
+ SimpleProgramTarget(randomize)
+ 
